Qt API | Qtopia API | Qtopia Documentation |

# QDawgNode Class Reference

The QDawg::Node class represents one node of a QDawg.

`#include <qdawg.h>`

## Public Members

- QChar QDawg::Node::letter() const
- bool QDawg::Node::isWord() const
- bool QDawg::Node::isLast() const
- const Node* QDawg::Node::next() const
- const Node* QDawg::Node::jump() const

## Detailed Description

The QDawg::Node class represents one node of a QDawg.

See the QDawg documentation for further information.

## Member Function Documentation

### QChar QDawg::Node::letter() const

Returns this Node's letter.

### bool QDawg::Node::isWord() const

Returns TRUE if this Node is the end of a word; otherwise returns FALSE.

### bool QDawg::Node::isLast() const

Returns TRUE if this Node is the last in the child list; otherwise returns FALSE.

### const Node* QDawg::Node::next() const

Returns the next child Node in the child list.

### const Node* QDawg::Node::jump() const

Returns the node connected to this Node.